Hot News aus dem CAD.de-Newsletter:

Mit Unterstützung durch:

  Foren auf CAD.de (alle Foren)
  Lisp
  Werte aus eingefügter EXCEL Tabelle lesen

Antwort erstellen  Neues Thema erstellen
CAD.de Login | Logout | Profil | Profil bearbeiten | Registrieren | Voreinstellungen | Hilfe | Suchen

Anzeige:

Darstellung des Themas zum Ausdrucken. Bitte dann die Druckfunktion des Browsers verwenden. | Suche nach Beiträgen nächster neuer Beitrag | nächster älterer Beitrag
Autor Thema:   Werte aus eingefügter EXCEL Tabelle lesen (118 mal gelesen)
mundal
Mitglied
Techniker


Sehen Sie sich das Profil von mundal an!   Senden Sie eine Private Message an mundal  Schreiben Sie einen Gästebucheintrag für mundal

Beiträge: 319
Registriert: 14.02.2005

erstellt am: 20. Feb. 2020 14:07    Editieren oder löschen Sie diesen Beitrag!  <-- editieren / zitieren -->   Antwort mit Zitat in Fett Antwort mit kursivem Zitat    Unities abgeben: 1 Unity (wenig hilfreich, aber dennoch)2 Unities3 Unities4 Unities5 Unities6 Unities7 Unities8 Unities9 Unities10 Unities


tabelle.dwg

 
Hallo Zusammen,

in beiliegende DWG wurde eine EXCEL-Tabelle eingefügt.
Ist es möglich die Werte dieser Tabelle mit LISP auszulesen ?

Gruß
Jo

Eine Antwort auf diesen Beitrag verfassen (mit Zitat/Zitat des Beitrags) IP

Meldin
Mitglied



Sehen Sie sich das Profil von Meldin an!   Senden Sie eine Private Message an Meldin  Schreiben Sie einen Gästebucheintrag für Meldin

Beiträge: 316
Registriert: 15.07.2011

ACA2018
Windows10

erstellt am: 20. Feb. 2020 14:33    Editieren oder löschen Sie diesen Beitrag!  <-- editieren / zitieren -->   Antwort mit Zitat in Fett Antwort mit kursivem Zitat    Unities abgeben: 1 Unity (wenig hilfreich, aber dennoch)2 Unities3 Unities4 Unities5 Unities6 Unities7 Unities8 Unities9 Unities10 Unities Nur für mundal 10 Unities + Antwort hilfreich

Hier nur so ein Gedanke liefert das Ergebnis von Zeile 1 Spalte 1.
Code:
(progn
  (command "OLEopen")
  (if (and (setq Excelappli (vlax-get-object "excel.application"))
  (vlax-get-property Excelappli "ActiveWorkbook")
      )
    (progn
      (if (setq
    xlsSheet (vlax-get-property
      (vlax-get-property Excelappli "ActiveWorkbook")
      "ACTIVESHEET"
    )
  )
(progn
  (if (setq ExcelUsedRange
    (vlax-variant-value
      (vlax-get-property
(vlax-get-property
  xlsSheet
  "UsedRange"
)
"VALUE"
      )
    )
      )
    (progn
      (setq Variant_aus_Excel
    (vlax-safearray-get-element
      ExcelUsedRange
      1
      1
    )
      )
    )
  )
)
      )
    )
  )
)

------------------
Gruß Wolfgang

Eine Antwort auf diesen Beitrag verfassen (mit Zitat/Zitat des Beitrags) IP

mundal
Mitglied
Techniker


Sehen Sie sich das Profil von mundal an!   Senden Sie eine Private Message an mundal  Schreiben Sie einen Gästebucheintrag für mundal

Beiträge: 319
Registriert: 14.02.2005

erstellt am: 20. Feb. 2020 15:04    Editieren oder löschen Sie diesen Beitrag!  <-- editieren / zitieren -->   Antwort mit Zitat in Fett Antwort mit kursivem Zitat    Unities abgeben: 1 Unity (wenig hilfreich, aber dennoch)2 Unities3 Unities4 Unities5 Unities6 Unities7 Unities8 Unities9 Unities10 Unities

Danke Wolfgang.
Das hilft mir weiter.
Gruß
Jo

Eine Antwort auf diesen Beitrag verfassen (mit Zitat/Zitat des Beitrags) IP

Anzeige.:

Anzeige: (Infos zum Werbeplatz >>)

Darstellung des Themas zum Ausdrucken. Bitte dann die Druckfunktion des Browsers verwenden. | Suche nach Beiträgen

nächster neuerer Beitrag | nächster älterer Beitrag
Antwort erstellen


Diesen Beitrag mit Lesezeichen versehen ... | Nach anderen Beiträgen suchen | CAD.de-Newsletter

Administrative Optionen: Beitrag schliessen | Archivieren/Bewegen | Beitrag melden!

Fragen und Anregungen: Kritik-Forum | Neues aus der Community: Community-Forum

(c)2020 CAD.de | Impressum | Datenschutz